require(['gitbook', 'jQuery'], function (gitbook, $) {
  gitbook.events.bind('page.change', function () {
    if (window !== window.parent) {
      var hash = location.pathname && location.pathname.split('/').splice(4).join('/');
      window.parent.postMessage({ hash: hash }, "*")
    }

    if ($('body').hasClass('with-search')) {
      $('body').removeClass('with-search')
    }

    $('.book').on('click', 'a', function () {
      var href = $(this).attr('href');
      if (href === './' || href === '.') {
        $(this).attr('href', 'index.html');
      }
    });

    $('img').each(function(){
      var img = $(this);
      var alt_list = img.attr("alt").split('|');
      if (alt_list.length > 0) {
        for (var i = 0; i < alt_list.length; ++i) {
          var item = alt_list[i].trim();
          var result = null;
          if ((result = /([0-9 ]*)x([0-9 ]*)/.exec(item)) != null) {
            img.attr('width', result[1]);
          } else if ((result = /(center|left|right)/.exec(item)) != null) {
            img.addClass(result[1]);
          }
        }
      }
    });
  });
});
